Bug 47407 - Unbreak/Update Port: multimedia/xmms-avi
Summary: Unbreak/Update Port: multimedia/xmms-avi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-23 14:40 UTC by Ulrich Spoerlein
Modified: 2003-07-27 19:43 UTC (History)
0 users

See Also:


Attachments
patch.xmms (2.10 KB, text/plain)
2003-01-23 14:40 UTC, Ulrich Spoerlein
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2003-01-23 14:40:07 UTC
Attached Patch updates/unbreaks the xmms-avi port.
Comment 1 Tilman Keskinoz freebsd_committer 2003-01-23 18:28:35 UTC
State Changed
From-To: open->closed

Committed, thanks
Comment 2 corecode@corecode.ath.cx 2003-01-24 00:08:48 UTC
Lately Ulrich Spoerlein told:

> diff -urN /usr/ports/multimedia/xmms-avi/Makefile xmms-avi/Makefile
[...]
> -BROKEN=		Maintainer is working on a fix
> -

uhm, i'm sorry. doesn't build for me at all. maybe it's just the missing
SDL depedency...

[...]
>  pre-patch:
> -	@${PERL} -pi.orig -e "s|SDL/SDL.h|SDL11/SDL.h|g" ${WRKSRC}/src/ctrackbar.cpp
> -	@${PERL} -pi.orig -e "s|lc_r|pthread|g" ${WRKSRC}/configure
> +	@${REINPLACE_CMD} -e "s|SDL/SDL.h|SDL11/SDL.h|g" ${WRKSRC}/src/ctrackbar.cpp
> +	@${REINPLACE_CMD} -e "s|lc_r|pthread|g" ${WRKSRC}/configure

${PTHREAD_LIBS}?

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 3 Tilman Keskinoz freebsd_committer 2003-01-24 18:36:02 UTC
State Changed
From-To: closed->open

Additional Improvements 


Comment 4 Tilman Keskinoz freebsd_committer 2003-01-24 18:36:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->	 arved

I committed it first.
Comment 5 Tilman Keskinoz freebsd_committer 2003-07-27 19:43:00 UTC
State Changed
From-To: open->closed

Finally committed the last part of this PR. And I think it should 
now really build on 5.x